Kea: isc::radius::RadiusBackendImpl Class Reference

| Kea 3.2.0-git

isc::radius::RadiusBackendImpl Class Reference

Implementation of host backend for Radius. More...

`#include <radius_backend.h>`

## Public Member Functions
| RadiusBackendImpl ()
| Constructor.
virtual | ~RadiusBackendImpl ()
| Destructor.
isc::dhcp::ConstHostPtr | get4 (const isc::dhcp::SubnetID &subnet_id, const isc::dhcp::Host::IdentifierType &identifier_type, const uint8_t *identifier_begin, const size_t identifier_len)
| Host backend method in not const variant.
isc::dhcp::ConstHostPtr | get6 (const isc::dhcp::SubnetID &subnet_id, const isc::dhcp::Host::IdentifierType &identifier_type, const uint8_t *identifier_begin, const size_t identifier_len)
| Returns a host connected to the IPv6 subnet.

## Public Attributes
size_t | xcount4_
| Unexpected call counter - IPv4.
size_t | xcount6_
| Unexpected call counter - IPv6.

## Detailed Description

Implementation of host backend for Radius.

Definition at line 352 of file radius_backend.h.

## Constructor & Destructor Documentation

## ◆ RadiusBackendImpl()

isc::radius::RadiusBackendImpl::RadiusBackendImpl | ( |  | ) |

Constructor.

Definition at line 196 of file radius_backend.cc.

References xcount4_, and xcount6_.

## ◆ ~RadiusBackendImpl()

isc::radius::RadiusBackendImpl::~RadiusBackendImpl | ( |  | ) |
| virtual

Destructor.

Definition at line 199 of file radius_backend.cc.

## Member Function Documentation

## ◆ get4()

ConstHostPtr isc::radius::RadiusBackendImpl::get4 | ( | const isc::dhcp::SubnetID & | subnet_id,
|  | const isc::dhcp::Host::IdentifierType & | identifier_type,
|  | const uint8_t * | identifier_begin,
|  | const size_t | identifier_len )

Host backend method in not const variant.

Returns a host connected to the IPv4 subnet.

Parameters

  subnet_id | Subnet identifier.
  identifier_type | Identifier type.
  identifier_begin | Pointer to a beginning of a buffer containing an identifier.
  identifier_len | Identifier length.

Returns
  Const `Host` object for which reservation has been made using the specified identifier.

Definition at line 203 of file radius_backend.cc.

References isc::radius::InHook::check(), isc::dhcp::Host::getIdentifierName(), isc::radius::RadiusImpl::instance(), LOG_DEBUG, isc::radius::RADIUS_BACKEND_GET4, isc::radius::RADIUS_DBG_TRACE, isc::radius::radius_logger, and xcount4_.

Here is the call graph for this function:

## ◆ get6()

ConstHostPtr isc::radius::RadiusBackendImpl::get6 | ( | const isc::dhcp::SubnetID & | subnet_id,
|  | const isc::dhcp::Host::IdentifierType & | identifier_type,
|  | const uint8_t * | identifier_begin,
|  | const size_t | identifier_len )

Returns a host connected to the IPv6 subnet.

Parameters

  subnet_id | Subnet identifier.
  identifier_type | Identifier type.
  identifier_begin | Pointer to a beginning of a buffer containing an identifier.
  identifier_len | Identifier length.

Returns
  Const `Host` object for which reservation has been made using the specified identifier.

Definition at line 234 of file radius_backend.cc.

References isc::radius::InHook::check(), isc::dhcp::Host::getIdentifierName(), isc::radius::RadiusImpl::instance(), LOG_DEBUG, isc::radius::RADIUS_BACKEND_GET6, isc::radius::RADIUS_DBG_TRACE, isc::radius::radius_logger, and xcount6_.

Here is the call graph for this function:

## Member Data Documentation

## ◆ xcount4_

size_t isc::radius::RadiusBackendImpl::xcount4_

Unexpected call counter - IPv4.

Definition at line 396 of file radius_backend.h.

Referenced by RadiusBackendImpl(), and get4().

## ◆ xcount6_

size_t isc::radius::RadiusBackendImpl::xcount6_

Unexpected call counter - IPv6.

Definition at line 399 of file radius_backend.h.

Referenced by RadiusBackendImpl(), and get6().

The documentation for this class was generated from the following files:

- radius_backend.h
- radius_backend.cc